Bug 107856 - up2date fails to start because of font problem
up2date fails to start because of font problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 16:11 EDT by Max Kanat-Alexander
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to gui.py (547 bytes, patch)
2003-10-23 16:13 EDT, Max Kanat-Alexander
no flags Details | Diff

  None (edit)
Description Max Kanat-Alexander 2003-10-23 16:11:46 EDT
Description of problem:
up2date fails to start. (It seems to open briefly and then close immediately.)

I've posted this as a comment to another bug, but I don't think that it was
actually related to that bug.

The traceback tells me that it's looking for a font I don't have installed.

It's a trivial problem to fix -- I'll attach a patch to gui.py as my next comment.

-M

Version-Release number of selected component (if applicable):
up2date-4.1.9-1

How reproducible: Always
Comment 1 Max Kanat-Alexander 2003-10-23 16:13:03 EDT
Created attachment 95446 [details]
Patch to gui.py

Here's a trivial patch to gui.py that resolves the issue.

-M
Comment 2 Adrian Likins 2003-10-23 16:35:20 EDT
hmm, but I'm curious why that font isnt installed... It
supposed to be one of the defaults.

But either way, I not sure that section of code is even
needed. Just makes a couple labels bold for no obivous
reason. Might just remove it entirely.
Comment 3 Max Kanat-Alexander 2003-10-30 20:15:58 EST
Still happens with the most recent rawhide, BTW. If it's a simple patch, you
might want to see if you can check it in before the freeze.

-M
Comment 4 Adrian Likins 2003-11-04 15:36:32 EST
hmm, yeah. forgot to commit it. should land in 4.1.19

Note You need to log in before you can comment on or make changes to this bug.